#!/bin/sh

##-------------------------------------------------------------------------------
## OUMA is Copyright (c)  2003 Volker Krause <volker_krause@gmx.net>
##
## Version:      1.3.0
## Creation:     25.06.2003  vk
## Last Update:  04.07.2003  vk
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation in Version 2; Not any previous or future
## version.
##-------------------------------------------------------------------------------

if test -f /var/run/ouma/$ip.blocked;then
else
	if test -f /var/run/ouma/$ip.blockpr;then
		hostname=`cat /var/run/ouma/hn`

		if test -f /var/run/ouma/errpageport; then
			ouma_err_port=`cat /var/run/ouma/errpageport`
			/sbin/ipchains -D input -p tcp -s $ip -d ! $hostname -j REDIRECT $ouma_err_port 
		else	
			/sbin/ipchains -D input -p tcp -s $ip -d ! $hostname -j DENY
		fi

		if test -f /var/run/ouma/blockudp;then
			/sbin/ipchains -D input -p udp -s $ip -d ! $hostname -j DENY
		fi

		if test -f /var/run/ouma/blockicmp;then
			/sbin/ipchains -D input -p icmp -s $ip -d ! $hostname -j DENY
		fi

		rm -f /var/run/ouma/$ip.blockpr
	fi	
fi